com.genesyslab.wfm7.API.service.config761

## Class CfgAgent

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgAgent

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgent
      extends java.lang.Object
      implements java.io.Serializable

  Agent information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Agent ID
    `private java.lang.String` | `gswEmail` Agent's E-mail address
    `private java.lang.String` | `gswEmployeeId` Employee ID
    `private java.lang.String` | `gswFirstName` First Name
    `private java.lang.String` | `gswLastName` Last Name
    `private long` | `timestamp` A timestamp value -- marks point in time when Object information was obtained
    `private int[]` | `wmAgentActivities` An array of IDs of Activities (`CfgActivity`) that Agent is qualified to work on.
    `private int` | `wmAgentActivitiesNSizeIs` Number of elements in wmAgentActivities array
    `private CfgAgentSkill[]` | `wmAgentSkills` An array of Agent Skills (`CfgAgentSkill`)
    `private int` | `wmAgentSkillsNSizeIs` Number of elements in wmAgentSkills array
    `private CfgAgentTimeOffRule[]` | `wmAgentTimeOffRules` An array of Agent's Time Off Rules (`CfgAgentTimeOffRule`)
    `private int` | `wmAgentTimeOffRulesNSizeIs` Number of elements in wmAgentTimeOffRules array
    `private java.lang.String` | `wmComments` Agent Comments
    `private int` | `wmContractId` Agent's Contract ID; identifies `CfgContract`
    `private double` | `wmEndDate` Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated
    `private int` | `wmHourlyWage` Hourly Wage
    `private int` | `wmRotatingSchId` ID of assigned Rotating Pattern (`CfgRotation`); zero if not assigned
    `private int` | `wmSeniority` Seniority or Rank
    `private int` | `wmSiteId` Agent's Site ID; identifies `CfgSite`.
    `private double` | `wmStartDate` Hire Date (`OleDateTime`)
    `private int` | `wmStartWeek` Start week in Rotating Pattern
    `private int` | `wmTeamId` Agent's Team ID; identifies `CfgTeam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgent()`
    `CfgAgent(int gswAgentId, int wmSiteId, int wmTeamId, int wmContractId, int wmRotatingSchId, java.lang.String gswEmployeeId, java.lang.String gswFirstName, java.lang.String gswLastName, double wmStartDate, double wmEndDate, java.lang.String wmComments, int wmHourlyWage, int wmSeniority, int wmStartWeek, int wmAgentSkillsNSizeIs, CfgAgentSkill[] wmAgentSkills, int wmAgentActivitiesNSizeIs, int[] wmAgentActivities, int wmAgentTimeOffRulesNSizeIs, CfgAgentTimeOffRule[] wmAgentTimeOffRules, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this CfgAgent.
    `java.lang.String` | `getGswEmail()` Gets the gswEmail value for this CfgAgent.
    `java.lang.String` | `getGswEmployeeId()` Gets the gswEmployeeId value for this CfgAgent.
    `java.lang.String` | `getGswFirstName()` Gets the gswFirstName value for this CfgAgent.
    `java.lang.String` | `getGswLastName()` Gets the gswLastName value for this CfgAgent.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgAgent.
    `int[]` | `getWmAgentActivities()` Gets the wmAgentActivities value for this CfgAgent.
    `int` | `getWmAgentActivitiesNSizeIs()` Gets the wmAgentActivitiesNSizeIs value for this CfgAgent.
    `CfgAgentSkill[]` | `getWmAgentSkills()` Gets the wmAgentSkills value for this CfgAgent.
    `int` | `getWmAgentSkillsNSizeIs()` Gets the wmAgentSkillsNSizeIs value for this CfgAgent.
    `CfgAgentTimeOffRule[]` | `getWmAgentTimeOffRules()` Gets the wmAgentTimeOffRules value for this CfgAgent.
    `int` | `getWmAgentTimeOffRulesNSizeIs()` Gets the wmAgentTimeOffRulesNSizeIs value for this CfgAgent.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this CfgAgent.
    `int` | `getWmContractId()` Gets the wmContractId value for this CfgAgent.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgAgent.
    `int` | `getWmHourlyWage()` Gets the wmHourlyWage value for this CfgAgent.
    `int` | `getWmRotatingSchId()` Gets the wmRotatingSchId value for this CfgAgent.
    `int` | `getWmSeniority()` Gets the wmSeniority value for this CfgAgent.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgAgent.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgAgent.
    `int` | `getWmStartWeek()` Gets the wmStartWeek value for this CfgAgent.
    `int` | `getWmTeamId()` Gets the wmTeamId value for this CfgAgent.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this CfgAgent.
    `void` | `setGswEmail(java.lang.String gswEmail)` Sets the gswEmail value for this CfgAgent.
    `void` | `setGswEmployeeId(java.lang.String gswEmployeeId)` Sets the gswEmployeeId value for this CfgAgent.
    `void` | `setGswFirstName(java.lang.String gswFirstName)` Sets the gswFirstName value for this CfgAgent.
    `void` | `setGswLastName(java.lang.String gswLastName)` Sets the gswLastName value for this CfgAgent.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgAgent.
    `void` | `setWmAgentActivities(int[] wmAgentActivities)` Sets the wmAgentActivities value for this CfgAgent.
    `void` | `setWmAgentActivitiesNSizeIs(int wmAgentActivitiesNSizeIs)` Sets the wmAgentActivitiesNSizeIs value for this CfgAgent.
    `void` | `setWmAgentSkills(CfgAgentSkill[] wmAgentSkills)` Sets the wmAgentSkills value for this CfgAgent.
    `void` | `setWmAgentSkillsNSizeIs(int wmAgentSkillsNSizeIs)` Sets the wmAgentSkillsNSizeIs value for this CfgAgent.
    `void` | `setWmAgentTimeOffRules(CfgAgentTimeOffRule[] wmAgentTimeOffRules)` Sets the wmAgentTimeOffRules value for this CfgAgent.
    `void` | `setWmAgentTimeOffRulesNSizeIs(int wmAgentTimeOffRulesNSizeIs)` Sets the wmAgentTimeOffRulesNSizeIs value for this CfgAgent.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this CfgAgent.
    `void` | `setWmContractId(int wmContractId)` Sets the wmContractId value for this CfgAgent.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgAgent.
    `void` | `setWmHourlyWage(int wmHourlyWage)` Sets the wmHourlyWage value for this CfgAgent.
    `void` | `setWmRotatingSchId(int wmRotatingSchId)` Sets the wmRotatingSchId value for this CfgAgent.
    `void` | `setWmSeniority(int wmSeniority)` Sets the wmSeniority value for this CfgAgent.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgAgent.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgAgent.
    `void` | `setWmStartWeek(int wmStartWeek)` Sets the wmStartWeek value for this CfgAgent.
    `void` | `setWmTeamId(int wmTeamId)` Sets the wmTeamId value for this CfgAgent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

      Agent ID

    - #### wmSiteId

          private int wmSiteId

      Agent's Site ID; identifies `CfgSite`. Zero if Agent is "unassigned".

    - #### wmTeamId

          private int wmTeamId

      Agent's Team ID; identifies `CfgTeam`

    - #### wmContractId

          private int wmContractId

      Agent's Contract ID; identifies `CfgContract`

    - #### wmRotatingSchId

          private int wmRotatingSchId

      ID of assigned Rotating Pattern (`CfgRotation`); zero if not assigned

    - #### wmStartWeek

          private int wmStartWeek

      Start week in Rotating Pattern

    - #### gswEmployeeId

          private java.lang.String gswEmployeeId

      Employee ID

    - #### gswFirstName

          private java.lang.String gswFirstName

      First Name

    - #### gswLastName

          private java.lang.String gswLastName

      Last Name

    - #### wmStartDate

          private double wmStartDate

      Hire Date (`OleDateTime`)

    - #### wmEndDate

          private double wmEndDate

      Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated

    - #### wmComments

          private java.lang.String wmComments

      Agent Comments

    - #### wmHourlyWage

          private int wmHourlyWage

      Hourly Wage

    - #### wmSeniority

          private int wmSeniority

      Seniority or Rank

    - #### wmAgentSkillsNSizeIs

          private int wmAgentSkillsNSizeIs

      Number of elements in wmAgentSkills array

    - #### wmAgentSkills

          private CfgAgentSkill[] wmAgentSkills

      An array of Agent Skills (`CfgAgentSkill`)

    - #### wmAgentActivitiesNSizeIs

          private int wmAgentActivitiesNSizeIs

      Number of elements in wmAgentActivities array

    - #### wmAgentActivities

          private int[] wmAgentActivities

      An array of IDs of Activities (`CfgActivity`) that Agent is qualified to work on.

    - #### wmAgentTimeOffRulesNSizeIs

          private int wmAgentTimeOffRulesNSizeIs

      Number of elements in wmAgentTimeOffRules array

    - #### wmAgentTimeOffRules

          private CfgAgentTimeOffRule[] wmAgentTimeOffRules

      An array of Agent's Time Off Rules (`CfgAgentTimeOffRule`)

    - #### gswEmail

          private java.lang.String gswEmail

      Agent's E-mail address

    - #### timestamp

          private long timestamp

      A timestamp value -- marks point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgAgent

          public CfgAgent()

    - #### CfgAgent

          public CfgAgent(int gswAgentId,
                  int wmSiteId,
                  int wmTeamId,
                  int wmContractId,
                  int wmRotatingSchId,
                  java.lang.String gswEmployeeId,
                  java.lang.String gswFirstName,
                  java.lang.String gswLastName,
                  double wmStartDate,
                  double wmEndDate,
                  java.lang.String wmComments,
                  int wmHourlyWage,
                  int wmSeniority,
                  int wmStartWeek,
                  int wmAgentSkillsNSizeIs,
                  CfgAgentSkill[] wmAgentSkills,
                  int wmAgentActivitiesNSizeIs,
                  int[] wmAgentActivities,
                  int wmAgentTimeOffRulesNSizeIs,
                  CfgAgentTimeOffRule[] wmAgentTimeOffRules,
                  long timestamp)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this CfgAgent.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this CfgAgent.
      Parameters:
        `gswAgentId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgAgent.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgAgent.
      Parameters:
        `wmSiteId` -

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the wmTeamId value for this CfgAgent.
      Returns:
        wmTeamId

    - #### setWmTeamId

          public void setWmTeamId(int wmTeamId)

      Sets the wmTeamId value for this CfgAgent.
      Parameters:
        `wmTeamId` -

    - #### getWmContractId

          public int getWmContractId()

      Gets the wmContractId value for this CfgAgent.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int wmContractId)

      Sets the wmContractId value for this CfgAgent.
      Parameters:
        `wmContractId` -

    - #### getWmRotatingSchId

          public int getWmRotatingSchId()

      Gets the wmRotatingSchId value for this CfgAgent.
      Returns:
        wmRotatingSchId

    - #### setWmRotatingSchId

          public void setWmRotatingSchId(int wmRotatingSchId)

      Sets the wmRotatingSchId value for this CfgAgent.
      Parameters:
        `wmRotatingSchId` -

    - #### getGswEmployeeId

          public java.lang.String getGswEmployeeId()

      Gets the gswEmployeeId value for this CfgAgent.
      Returns:
        gswEmployeeId

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.lang.String gswEmployeeId)

      Sets the gswEmployeeId value for this CfgAgent.
      Parameters:
        `gswEmployeeId` -

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the gswFirstName value for this CfgAgent.
      Returns:
        gswFirstName

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String gswFirstName)

      Sets the gswFirstName value for this CfgAgent.
      Parameters:
        `gswFirstName` -

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the gswLastName value for this CfgAgent.
      Returns:
        gswLastName

    - #### setGswLastName

          public void setGswLastName(java.lang.String gswLastName)

      Sets the gswLastName value for this CfgAgent.
      Parameters:
        `gswLastName` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgAgent.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgAgent.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgAgent.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgAgent.
      Parameters:
        `wmEndDate` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this CfgAgent.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this CfgAgent.
      Parameters:
        `wmComments` -

    - #### getWmHourlyWage

          public int getWmHourlyWage()

      Gets the wmHourlyWage value for this CfgAgent.
      Returns:
        wmHourlyWage

    - #### setWmHourlyWage

          public void setWmHourlyWage(int wmHourlyWage)

      Sets the wmHourlyWage value for this CfgAgent.
      Parameters:
        `wmHourlyWage` -

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the wmSeniority value for this CfgAgent.
      Returns:
        wmSeniority

    - #### setWmSeniority

          public void setWmSeniority(int wmSeniority)

      Sets the wmSeniority value for this CfgAgent.
      Parameters:
        `wmSeniority` -

    - #### getWmStartWeek

          public int getWmStartWeek()

      Gets the wmStartWeek value for this CfgAgent.
      Returns:
        wmStartWeek

    - #### setWmStartWeek

          public void setWmStartWeek(int wmStartWeek)

      Sets the wmStartWeek value for this CfgAgent.
      Parameters:
        `wmStartWeek` -

    - #### getWmAgentSkillsNSizeIs

          public int getWmAgentSkillsNSizeIs()

      Gets the wmAgentSkillsNSizeIs value for this CfgAgent.
      Returns:
        wmAgentSkillsNSizeIs

    - #### setWmAgentSkillsNSizeIs

          public void setWmAgentSkillsNSizeIs(int wmAgentSkillsNSizeIs)

      Sets the wmAgentSkillsNSizeIs value for this CfgAgent.
      Parameters:
        `wmAgentSkillsNSizeIs` -

    - #### getWmAgentSkills

          public CfgAgentSkill[] getWmAgentSkills()

      Gets the wmAgentSkills value for this CfgAgent.
      Returns:
        wmAgentSkills

    - #### setWmAgentSkills

          public void setWmAgentSkills(CfgAgentSkill[] wmAgentSkills)

      Sets the wmAgentSkills value for this CfgAgent.
      Parameters:
        `wmAgentSkills` -

    - #### getWmAgentActivitiesNSizeIs

          public int getWmAgentActivitiesNSizeIs()

      Gets the wmAgentActivitiesNSizeIs value for this CfgAgent.
      Returns:
        wmAgentActivitiesNSizeIs

    - #### setWmAgentActivitiesNSizeIs

          public void setWmAgentActivitiesNSizeIs(int wmAgentActivitiesNSizeIs)

      Sets the wmAgentActivitiesNSizeIs value for this CfgAgent.
      Parameters:
        `wmAgentActivitiesNSizeIs` -

    - #### getWmAgentActivities

          public int[] getWmAgentActivities()

      Gets the wmAgentActivities value for this CfgAgent.
      Returns:
        wmAgentActivities

    - #### setWmAgentActivities

          public void setWmAgentActivities(int[] wmAgentActivities)

      Sets the wmAgentActivities value for this CfgAgent.
      Parameters:
        `wmAgentActivities` -

    - #### getWmAgentTimeOffRulesNSizeIs

          public int getWmAgentTimeOffRulesNSizeIs()

      Gets the wmAgentTimeOffRulesNSizeIs value for this CfgAgent.
      Returns:
        wmAgentTimeOffRulesNSizeIs

    - #### setWmAgentTimeOffRulesNSizeIs

          public void setWmAgentTimeOffRulesNSizeIs(int wmAgentTimeOffRulesNSizeIs)

      Sets the wmAgentTimeOffRulesNSizeIs value for this CfgAgent.
      Parameters:
        `wmAgentTimeOffRulesNSizeIs` -

    - #### getWmAgentTimeOffRules

          public CfgAgentTimeOffRule[] getWmAgentTimeOffRules()

      Gets the wmAgentTimeOffRules value for this CfgAgent.
      Returns:
        wmAgentTimeOffRules

    - #### setWmAgentTimeOffRules

          public void setWmAgentTimeOffRules(CfgAgentTimeOffRule[] wmAgentTimeOffRules)

      Sets the wmAgentTimeOffRules value for this CfgAgent.
      Parameters:
        `wmAgentTimeOffRules` -

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the gswEmail value for this CfgAgent.
      Returns:
        gswEmail

    - #### setGswEmail

          public void setGswEmail(java.lang.String gswEmail)

      Sets the gswEmail value for this CfgAgent.
      Parameters:
        `gswEmail` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgAgent.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgAgent.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.